<template>
    <div >
      
      
      <hooper :itemsToShow="3" :infiniteScroll="true" :autoPlay="true" :playSpeed="1000">
        <slide :key="index" v-for="(slide, index) in media.Cocina">
          <img :src="slide.src" >
        </slide>
        <hooper-navigation slot="hooper-addons"></hooper-navigation>
      </hooper>

      <b-card no-body v-show="card" style="margin:20px 0px 50px 0px">
          <b-tabs pills card >
            <b-tab title="Contacto" active>

               <b-form @submit="onSubmit" @reset="onReset" >
                  <b-col>
                  </b-col>
                  <b-form-group
                    id="input-group-1"
                    label="Nombre:"
                    label-for="input-1"
                    label-size="sm"
                  >
                    <b-form-input
                      id="input-1"
                      v-model="form.nombre"
                      type="text"
                      required
                      placeholder="Nombre"
                    ></b-form-input>
                    
                  </b-form-group>

                  <b-form-group
                    id="input-group-2"
                    label="Cotizar:"
                    label-for="input-2"
                    label-size="sm"
                  >
                    <b-textarea id="input-2"
                        v-model="form.mensaje"
                        required
                        placeholder="Consulta...">
                    </b-textarea>

                  </b-form-group>

                  <b-button type="submit" variant="primary">Enviar</b-button>
              </b-form>
            </b-tab>
            <b-tab :key="index" v-for="(image, index) in media" :title="index.toString()" >
                
                <galeria :list="image" id="imagenid" ></galeria>

            </b-tab>
            
          </b-tabs>
      </b-card>

    </div>
</template>


<script>

  import {
    Hooper,
    Slide,
    Pagination as HooperPagination,
    Navigation as HooperNavigation
    } from 'hooper';
  import 'hooper/dist/hooper.css';

  export default {
    components: {
      Hooper,
      Slide,
      HooperPagination,
      HooperNavigation
    },
    data () {
      return {
        media:{},
        card:false,
        slides:[],
        form:{nombre:'',mensaje:''}
      }
    },
    methods: {
      loadImagen(){
          axios.get('api/get/media').then(response => {
            this.media  = response.data.galeria;
            this.slides = response.data.slides;
            this.card   = true;
          });
      },
      openGallery(index) {
        this.$refs.lightbox.showImage(index)
      },
      mediaAll() {
          var newArray = Object.values(this.media);
          return newArray.flat();
      },
      onSubmit(evt){
        evt.preventDefault()
        axios.post('api/contacto',this.form).then(response => {
          swal.fire(
            'Mensaje',
            'correcto',
            'success',
          );
        });
      },
      onReset(){

      },
      onCancel(){

      }
    },
    mounted(){
        this.loadImagen();
    }
  }
</script>
<style scoped>
    .hooper{
      margin-top:20px;
      height:400px ;
      box-shadow: 0px 0px 6px 2px black;
    }
    .hooper-slide img{
      height:100%;
      width:100%;
      border-left:1px solid #000;
      border-right:2px solid #000;
    }
    #imagenid img {
        width: 160px;
        height: 160px !important;
        display: block;
    }
    .imagen-li{
        width: 225px;
        height: 225px !important;
        text-align: center;
        vertical-align: middle;
        /* //border: 1px solid #000; */
        margin: 10px !important;
    }
    .imagen-li img{
        width: 100%;
        height:89% !important;
        cursor: pointer;
        box-shadow: 0px 0px 7px 3px #000;
    }
</style>